curl "https://api.scanova.io/theme/user-42-ocean-breeze-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
Temas y plantillas de página
Obtener un tema
GET /theme//
GET
/
theme
/
{slug}
/
curl "https://api.scanova.io/theme/user-42-ocean-breeze-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
Obtiene un tema por slug o id, en el host de la API de gestión (
api.scanova.io), autenticado con su clave de API de gestión sin procesar.
GET https://api.scanova.io/theme/{slug}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
requerido
El
slug del tema (un id numérico también funciona en esta misma forma de ruta).curl "https://api.scanova.io/theme/user-42-ocean-breeze-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
Aquí no se aplica ninguna comprobación de propiedad — cualquier tema activo, incluido el de otra cuenta, se puede obtener por slug o id, ya que los temas son un recurso de lectura compartida para el creador de páginas. Escribir en uno que no le pertenece sigue estando bloqueado — vea Actualizar un tema.
404 si slug no coincide con ningún tema activo.
Relacionado
- Listar temas — explorar todos los temas.
- Actualizar un tema — editar este tema, si le pertenece.
- Obtener recuentos de uso de un tema — ver qué lo está usando.
- Resumen de la API de gestión — el esquema de autenticación y las reglas de cuota aplicables a este endpoint.
Autorizaciones
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Parámetros de ruta
Respuesta
One theme.
¿Esta página le ayudó?